<!DOCTYPE html>
<html lang="en">

<head>
    <% include ./../partial/header %>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <link rel="stylesheet" href='/stylesheets/priceTable.css'></link>
    <link rel="stylesheet" href='/stylesheets/imageZoom.css'></link>

</head>

<body>
    <form action='/product' method="post">
        <!-- Navigation -->
        <% include ./../partial/home_navigation%>

        <!-- Page Content -->
        <div class="container my-4">
            <div class="row">
                <div class="col-lg-3">
                    <!-- side bar -->
                    <% include ./../partial/sidebar%>


                </div>


                <div class="col-lg-9">
                    <!-- display data-->
                    <div class="row">

                        <% result.forEach(function(product){%>

                        <div class="col-lg-4 col-md-6 mb-4">
                            <div class="card h-100">
                                <a href="#"> <img class="img-wrap zoom" src="/product-images/<%= product.id %>/<%= product.image %>" /> </a>
                                <div class="card-body">
                                    <h4 class="card-title">
                                        <a><%=product.name %></a>
                                    </h4>
                                    <h5 >$<%=product.price%></h5>
                                    <p class="card-text">
                                        <%=product.description %>
                                    </p>
                                </div>
                                <div class="card-footer">
                                    <small class="text-muted">id:<%=product.id%></small>
                                </div>
                            </div>
                        </div>
                        
                        <div class="col-lg-4 col-md-6">
                        <table class="table table-bordered price-table">
                            <thead class="thead-dark">
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">USD</th>
                                    <th scope="col">NPR</th>
                                    <th scope="col">EUR</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <th scope="row">1</th>
                                    <td id='usd'><%=parseInt(product.price)%></td>
                                    <td id='npr'></td>
                                    <td id='eur'></td>
                                </tr>
                            </tbody>
                        </table>
                        </div>
                        <%})%>

                    </div>
                </div>
            </div>
        </div>

        <!-- Bootstrap core JavaScript -->
        <script src="vendor/jquery/jquery.min.js"></script>
        <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
        <script src="/javascripts/work.js"></script>
    </form>
    <script>  let url2 = "http://data.fixer.io/api/latest?access_key=3326e08883d2ae911017fdd61954f25e&symbols=USD,NPR,EUR"
    $.get(url2, function (data) {
        if (data.success) {
            console.log(data.rates.NPR);
            let usd = data.rates.USD;
            let npr = data.rates.NPR;
            let eur = data.rates.EUR
            //console.log('+' + usd + ":" + npr + ":" + eur);
            usd = parseFloat(eur / usd).toFixed(3)
            console.log(usd);
            let usdvar = $('#usd').text();

            console.log(usdvar);
            $('#npr').text((usd / eur * npr * usdvar).toFixed(2));
            $('#eur').text((usd / eur * eur * usdvar).toFixed(2));
        }
        //console.log("error");
    });</script>

</body>

</html>